%global npmname simple-markdown

Name:           nodejs-%{npmname}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Javascript markdown parsing, made simple

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Tests not included.
Source0:        https://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
simple-markdown is a markdown-like parser designed for simplicity
and extensibility.

%prep
%autosetup -n package #cowsay-%{version}

# Change makefile to use system copy of mocha for testing.
sed 's,./node_modules/.bin/mocha,mocha,g' -i Makefile

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a simple-markdown.js index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

# Unfortunately, tests currently require react, which is a... heavy
# unpackaged dependency. I'll do it if I have to, but I'd prefer not to.
#make test

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Jun 20 2017 Ben Rosser <rosser.bjr@gmail.com> - 0.2.1-1
- Initial package.
